メインコンテンツへスキップ
POST
/
v1
/
public
/
accounts
/
{account_id}
/
dedicated-ips
/
{dedicated_ip_id}
/
domains
/
assign
専用IPドメインを割り当て
curl --request POST \
  --url https://api.hybridbox.io/v1/public/accounts/{account_id}/dedicated-ips/{dedicated_ip_id}/domains/assign \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "domain_ids": [
    "3c90c3cc-0d44-4b50-8888-8dd25736052a"
  ]
}
'
{
  "dedicated_ip_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "domain_ids": [
    "3c90c3cc-0d44-4b50-8888-8dd25736052a"
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.hybridbox.io/llms.txt

Use this file to discover all available pages before exploring further.

承認

Authorization
string
header
必須

Public API bearer credential sent as Authorization: Bearer <token>. Use either an OAuth access token or a Hybridbox Service account token.

パスパラメータ

account_id
string<uuid>
必須
dedicated_ip_id
string<uuid>
必須

ボディ

application/json

一括割り当てまたは割り当て解除の要求。

domain_ids
(string<uuid> | string)[]

割り当てるか割り当て解除するドメイン UUID またはドメイン名。

Minimum array length: 1

レスポンス

dedicated_ip_id
string<uuid>
必須
domain_ids
string<uuid>[]
必須